#
# spec file for package gambas3
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012-2015 Lars Vogdt <lars@linux-schulserver.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} <= 1320
%bcond_without qt4
%if 0%{?suse_version} != 1315
%bcond_without jit
%endif
%endif
%if 0%{?suse_version} >= 1315
%if 0%{?suse_version} != 1320
%bcond_without qt5
%if 0%{?suse_version} >= 1500
%bcond_without openal
%endif
%endif
%endif
Name:           gambas3
Version:        3.10.0
Release:        lp150.2.12
Summary:        BASIC interpreter under Linux
License:        GPL-2.0-or-later
Group:          Development/Tools/IDE
Url:            http://gambas.sourceforge.net/
Source0:        http://sourceforge.net/projects/gambas/files/gambas3/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        x-gambas.desktop
Source99:       %{name}-rpmlintrc
# PATCH-FIX-OPENSUSE -- add german translation
Patch0:         gambas3-mime_translation.patch
# PATCH-FIX-OPENSUSE llvm.patch avvissu@yandex.ru -- Change the location for an header files
Patch1:         gambas3-3.10.0-llvm.patch
# PATCH-FIX-UPSTREAM gambas3-adapt-to-poppler-058.patch zaitor@opensuse.org -- Adapt to poppler 0.58 api changes
Patch2:         gambas3-adapt-to-poppler-058.patch
# PATCH-FIX-UPSTREAM disable-qt4.patch bnc#1072031 -- Fix build if the QtWebkit removed
Patch3:         gambas3-3.10.0-disable-qt4.patch
BuildRequires:  SDL_image
BuildRequires:  aalib-devel
BuildRequires:  atk-devel
BuildRequires:  dejavu
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  gettext-tools
BuildRequires:  glibc-devel
BuildRequires:  gmp-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  libjpeg-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  mysql-devel
BuildRequires:  ncurses-devel
BuildRequires:  openldap2-devel
BuildRequires:  postgresql-devel
BuildRequires:  shared-mime-info
BuildRequires:  unixODBC-devel
BuildRequires:  update-desktop-files
BuildRequires:  xdg-utils
BuildRequires:  pkgconfig(ORBit-2.0)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdkglext-1.0)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmime-2.6)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libclucene-core)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-runtime = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Code is not endian clean.
ExcludeArch:    ppc ppc64
%if %{with qt5}
BuildRequires:  pkgconfig(Qt5Core) >= 5.3.0
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(poppler-qt5)
%endif
%if %{with qt4}
BuildRequires:  pkgconfig(QtCore) >= 4.5
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtOpenGL)
BuildRequires:  pkgconfig(QtSvg)
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  pkgconfig(poppler-qt4)
%endif
%if %{with openal}
BuildRequires:  pkgconfig(alure)
BuildRequires:  pkgconfig(openal)
%endif
%if %{with jit}
BuildRequires:  llvm-devel <= 3.5.0
%endif

%description
Gambas is a development environment based on a BASIC interpreter with
object extensions, similar to Visual Basic. With Gambas, you can
design program GUIs, access MySQL or PostgreSQL databases, control
KDE applications, translate your program into many languages, create
network applications, build RPMs of your apps automatically.

%package ide
Summary:        The Gambas Development Enviroment
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       %{name}-devel = %{version}
Requires:       %{name}-gb-args = %{version}
Requires:       %{name}-gb-clipper = %{version}
Requires:       %{name}-gb-db = %{version}
Requires:       %{name}-gb-db-form = %{version}
Requires:       %{name}-gb-desktop = %{version}
Requires:       %{name}-gb-eval-highlight = %{version}
Requires:       %{name}-gb-form = %{version}
Requires:       %{name}-gb-form-dialog = %{version}
Requires:       %{name}-gb-form-editor = %{version}
Requires:       %{name}-gb-form-mdi = %{version}
Requires:       %{name}-gb-form-stock = %{version}
Requires:       %{name}-gb-image = %{version}
Requires:       %{name}-gb-image-effect = %{version}
Requires:       %{name}-gb-markdown = %{version}
Requires:       %{name}-gb-net = %{version}
Requires:       %{name}-gb-net-curl = %{version}
Requires:       %{name}-gb-settings = %{version}
Requires:       %{name}-gb-util = %{version}
Requires:       %{name}-runtime = %{version}
Requires:       gettext-tools
Requires:       gzip
Requires:       rpm
Requires:       tar
Recommends:     %{name}-gb-cairo = %{version}
Recommends:     %{name}-gb-chart = %{version}
Recommends:     %{name}-gb-complex = %{version}
Recommends:     %{name}-gb-compress = %{version}
Recommends:     %{name}-gb-compress-bzlib2 = %{version}
Recommends:     %{name}-gb-compress-zlib = %{version}
Recommends:     %{name}-gb-crypt = %{version}
Recommends:     %{name}-gb-data = %{version}
Recommends:     %{name}-gb-db-mysql = %{version}
Recommends:     %{name}-gb-db-odbc = %{version}
Recommends:     %{name}-gb-db-postgresql = %{version}
Recommends:     %{name}-gb-db-sqlite3 = %{version}
Recommends:     %{name}-gb-dbus = %{version}
Recommends:     %{name}-gb-geom = %{version}
Recommends:     %{name}-gb-gmp = %{version}
Recommends:     %{name}-gb-gsl = %{version}
Recommends:     %{name}-gb-gtk = %{version}
Recommends:     %{name}-gb-gtk-opengl = %{version}
Recommends:     %{name}-gb-gui = %{version}
Recommends:     %{name}-gb-httpd = %{version}
Recommends:     %{name}-gb-image-imlib = %{version}
Recommends:     %{name}-gb-image-io = %{version}
Recommends:     %{name}-gb-libxml = %{version}
Recommends:     %{name}-gb-logging = %{version}
Recommends:     %{name}-gb-maps = %{version}
Recommends:     %{name}-gb-memcached = %{version}
Recommends:     %{name}-gb-mime = %{version}
Recommends:     %{name}-gb-mysql = %{version}
Recommends:     %{name}-gb-ncurses = %{version}
Recommends:     %{name}-gb-net-pop3 = %{version}
Recommends:     %{name}-gb-net-smtp = %{version}
Recommends:     %{name}-gb-opengl = %{version}
Recommends:     %{name}-gb-opengl-glsl = %{version}
Recommends:     %{name}-gb-opengl-glu = %{version}
Recommends:     %{name}-gb-opengl-sge = %{version}
Recommends:     %{name}-gb-openssl = %{version}
Recommends:     %{name}-gb-option = %{version}
Recommends:     %{name}-gb-pcre = %{version}
Recommends:     %{name}-gb-pdf = %{version}
Recommends:     %{name}-gb-report = %{version}
Recommends:     %{name}-gb-sdl = %{version}
Recommends:     %{name}-gb-sdl-sound = %{version}
Recommends:     %{name}-gb-settings = %{version}
Recommends:     %{name}-gb-signal = %{version}
Recommends:     %{name}-gb-util-web = %{version}
Recommends:     %{name}-gb-v4l = %{version}
Recommends:     %{name}-gb-vb = %{version}
Recommends:     %{name}-gb-web-feed = %{version}
Recommends:     %{name}-gb-web-form = %{version}
Recommends:     %{name}-gb-xml = %{version}
Recommends:     %{name}-gb-xml-rpc = %{version}
Recommends:     %{name}-gb-xml-xslt = %{version}
Recommends:     %{name}-gb-form-terminal = %{version}
Recommends:     %{name}-gb-term = %{version}
Recommends:     %{name}-gb-term-form = %{version}
Recommends:     %{name}-script = %{version}
Recommends:     deb
%if %{with qt5}
Requires:       %{name}-gb-qt5 = %{version}
Requires:       %{name}-gb-qt5-ext = %{version}
Requires:       %{name}-gb-qt5-opengl = %{version}
Requires:       %{name}-gb-qt5-webkit = %{version}
%else
Requires:       %{name}-gb-qt4 = %{version}
Requires:       %{name}-gb-qt4-ext = %{version}
Requires:       %{name}-gb-qt4-opengl = %{version}
Requires:       %{name}-gb-qt4-webkit = %{version}
%endif
%if %{with openal}
Recommends:     %{name}-gb-openal = %{version}
%endif
%if %{with jit}
Recommends:     %{name}-gb-jit = %{version}
%endif

%description ide
This package includes the complete Gambas Development Environment, with the
database manager and the help files.

The IDE itself is written in Gambas-BASIC.

%package runtime
Summary:        The Gambas runtime
Group:          Development/Tools/IDE
Requires:       glibc

%description runtime
This package includes the Gambas interpreter needed to run Gambas
applications.

It contains:
  * The interpreter: gbx3.
  * The symbolic link on gbx3: gbr3.
  * The internal component description: gb.component, gb.info and gb.list.
  * The readme files, TODO files, and so on.
  * The gb.debug component: gb.debug.info, gb.debug.list, gb.debug.component,
    gb.debug.so.*, gb.debug.la.
  * The gb.eval component: gb.eval.info, gb.eval.list, gb.eval.component,
    gb.eval.so.*, gb.eval.la.
  * The gb.draw component: gb.draw.info, gb.draw.list, gb.draw.component,
    gb.draw.so.*, gb.draw.la.

%package devel
Summary:        The Gambas devel package
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       gcc
Requires:       gcc-c++

%description devel
This package includes all tools needed to compile Gambas projects without
having to install the complete development environment.

It contains the compiler (gbc3), archiver (gba3) and informer (gbi3).

%package script
Summary:        Program that allows to write script files in Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-devel = %{version}
Requires:       %{name}-runtime = %{version}
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         shared-mime-info
Provides:       %{_bindir}/gbx2

%description script
This package includes the scripter program that allows to write script
files in Gambas.

It contains the scripter (gbs3.gambas).

%package gb-args
Summary:        The first C getopt() interface component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Provides:       %{name}-gb-option = %{version}
Obsoletes:      %{name}-gb-option < 3.4.0

%description gb-args
This class analyses the arguments of the current process.

%package gb-cairo
Summary:        Cairo source pattern for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       cairo

%description gb-cairo
This class represents a Cairo source pattern, as returned by methods like
Cairo.SolidPattern or Cairo.LinearGradient.

%if %{with qt4}
%package gb-chart
Summary:        The chart component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-chart
This is the component that draws charts.
%endif

%package gb-clipper
Summary:        The clipper component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-clipper
Gambas3 component package for clipper.

%package gb-complex
Summary:        Support complex numbers for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-complex
Support for complex numbers in Gambas.

%package gb-compress
Summary:        A compression component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-compress-bzlib2 = %{version}
Requires:       %{name}-gb-compress-zlib = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%package gb-compress-bzlib2
Summary:        The bzlib2 compression component for Gambas
Group:          Development/Tools/IDE
Requires:       %(rpm -qf $(readlink -qne %{_libdir}/libz.so) --qf '%%{NAME} >= %%{VERSION}')

%description gb-compress-bzlib2
This component allows you to compress/uncompress data or files with
the bzlib2 algorithms.

%package gb-compress-zlib
Summary:        The zlib compression component for Gambas
Group:          Development/Tools/IDE
Requires:       %(rpm -qf $(readlink -qne %{_libdir}/libbz2.so) --qf '%%{NAME} >= %%{VERSION}')

%description gb-compress-zlib
This component allows you to compress/uncompress data or files with
the zlib algorithms.

%package gb-crypt
Summary:        Crypt and compare crypted passwords for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       glibc

%description gb-crypt
This component allows you to crypt a password and to compare crypted 
passwords by using the DES or MD5 algoritm implemented in the GNU libc 
library.

%package gb-data
Summary:        Container datatypes for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-data
gb.data adds new container datatypes to Gambas.

%package gb-db
Summary:        The database component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%package gb-db-form
Summary:        The data bound control component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-db = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-db-form
Provides some data bound controls, i.e. controls that can display and edit
database records automatically. Note that it is highly experimental!.

%package gb-gmp
Summary:        The GMP component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-db = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-gmp
Component based on the Gnu Multiple Precision Arithmetic Library that 
implements big integers and big rational numbers.

%package gb-db-mysql
Summary:        MySQL database driver for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-db = %{version}
Requires:       %{name}-runtime = %{version}
Requires:       mysql

%description gb-db-mysql
This component allows you to access MySQL databases.

%package gb-db-odbc
Summary:        UnixODBC database driver for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-db = %{version}
Requires:       %{name}-runtime = %{version}
Requires:       unixODBC

%description gb-db-odbc
This component allows you to access to a database thru unixODBC driver.

%package gb-db-postgresql
Summary:        PostgreSQL database driver for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-db = %{version}
Requires:       %{name}-runtime = %{version}
Requires:       postgresql

%description gb-db-postgresql
This component allows you to access Postgresql databases.

%package gb-db-sqlite3
Summary:        SQLite3 database driver for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-db = %{version}
Requires:       %{name}-runtime = %{version}
Requires:       sqlite3

%description gb-db-sqlite3
This component allows you to access Sqlite v. 3.x databases.

%package gb-desktop
Summary:        The desktop component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-desktop
This is a component that provides an access to the Portland project xdg 
utilities.

%package gb-dbus
Summary:        D-Bus participation component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       dbus-1

%description gb-dbus
By using this component, you will be able to:
  * Call any method and properties of any application connected to D-Bus.
  * Catch any signal sent by any application connected to D-Bus.
  * Export your own objects to a D-Bus bus.

For more information, see http://dbus.freedesktop.org.

%package gb-eval-highlight
Summary:        Highlighter class for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-eval-highlight
This class reimplements Highlight in gb.eval.

%package gb-form
Summary:        Data bound controls for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-form
This component contain some control elements to be used in both gtk+ and qt
components.

%package gb-form-dialog
Summary:        Dialog class for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-form = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-form-dialog
This component implements Dialog Class.

%package gb-form-editor
Summary:        Text editor for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-eval-highlight = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-form-editor
This component provides the TextEditor control, which is a text editor with 
syntax highlighting support.

%package gb-form-mdi
Summary:        Workspace control for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-form = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-form-mdi
This component implements the new Workspace control.

%package gb-form-stock
Summary:        Stock icon support for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-form = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-form-stock
This class is used for returning predefined icons.

You should not have to use this class directly to get these icons. Use the
Picture class as an array instead.

%package gb-geom
Summary:        The Gambas Geometry hidden component
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-geom
This component implements all geometry classes:
  - Point;
  - PointF;
  - Rect;
  - RectF.

%package gb-gsl
Summary:        GNU Scientific Library interface for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-gui = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-gsl
This component implements polynomials, matrices, vectors and complex
numbers completely.

%package gb-gtk
Summary:        The GTK GUI component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-gui = %{version}
Requires:       %{name}-runtime = %{version}
Requires:       gtk2 >= 2.6.8

%description gb-gtk
This package includes the Gambas GTK GUI component.

%package gb-gtk3
Summary:        The GTK3 GUI component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-gui = %{version}
Requires:       %{name}-runtime = %{version}
Requires:       gtk3 >= 3.0.0

%description gb-gtk3
This package includes the Gambas GTK3 GUI component.

%package gb-gtk-opengl
Summary:        GTK-OpenGL component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-gtk = %{version}

%description gb-gtk-opengl
This component allows to use OpenGL in Gambas/GTK+ applications.

%package gb-gui
Summary:        The Qt/GTK loader component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-gui
This is the component that just loads gb.qt if you are running KDE or
gb.gtk in the other cases. It is used to make your application more
desktop-friendly.

%package gb-httpd
Summary:        The httpd component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-httpd
This component implements an embedded HTTP server for the interpreter.

%package gb-image
Summary:        The image component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-image
This component permits the manipulation of some image objects.

%package gb-image-effect
Summary:        Image filtering routines for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-image = %{version}

%description gb-image-effect
This class reimplements Image in gb.image and adds many effect methods to 
the original Image class.

%package gb-image-imlib
Summary:        Gambas image routines based on the Imlib2 library
Group:          Development/Tools/IDE
Requires:       %{name}-gb-image = %{version}
Requires:       %(rpm -qf $(readlink -qne %{_libdir}/libImlib2.so) --qf '%%{NAME} >= %%{VERSION}')

%description gb-image-imlib
This components adds image processing methods coming from the imlib2 library.

%package gb-image-io
Summary:        IO operations with images based on gdk-pixbuf for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-image-io
This components allow to load an image from disk, and save an image to disk.
It is based on the gdk-pixbuf library.

%package gb-inotify
Summary:        Filesystem event monitoring for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-inotify
This component allows to monitor filesystem events with Linux
inotify interface.

%if %{with jit}
%package gb-jit
Summary:        The Gambas JIT component
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-jit
This component provides the JIT compiler for Gambas.
%endif

%package gb-logging
Summary:        The Gambas logging component
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-logging
This component implements a flexible logging system for Gambas applications.
The formatting of messages is based on the RFC5454 document which describes
the standard "syslog" format.

%package gb-maps
Summary:        Map display for Gambas applications
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-maps
This component allows displaying Google Maps, OpenStreetMap, etc.
inside your application.

%package gb-markdown
Summary:        Gambas Markdown syntax
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-markdown
This component implements the Gambas Markdown syntax.

%package gb-media
Summary:        Gambas interface to the GStreamer library
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-media
This component is a simplified interface to the GStreamer library.

It allows to play, convert, transform... multimedia data from any source to 
any format by linking plugins together.

Read the GStreamer documentation for more information.

%package gb-memcached
Summary:        The memcached component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-memcached
This component implements a memcached client.

%package gb-mime
Summary:        MIME message encoder and decoder for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-mime
This component allows to encode and decode MIME messages.

%package gb-mysql
Summary:        MySQL specific routines for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-mysql
The goal of gb.mysql is to create MySQL specific routines and then sent 
them to the gb.db to be executed.

%package gb-ncurses
Summary:        The ncurses component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-ncurses
This component allows you to use the ncurses library in your Gambas UI.

%package gb-net
Summary:        The networking component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%package gb-net-curl
Summary:        The advanced networking component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       curl

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%package gb-net-pop3
Summary:        The POP3 component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-net = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-net-pop3
This component allows to receive mails by using the POP3 protocol.

%package gb-net-smtp
Summary:        The SMTP component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-net = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-net-smtp
This component allows to send mails by using the SMTP protocol.

It supports mail attachments, mail alternatives, and protocol encryption
(SSL or TLS), provided that the openssl program is installed on your system.

%package gb-opengl
Summary:        The OpenGL component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-opengl
This package includes the Gambas OpenGL component.

%package gb-opengl-glu
Summary:        OpenGL complementary routines for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-opengl = %{version}

%description gb-opengl-glu
The GL Utilities "GLU" library is a set of routines designed to complement
the OpenGL graphics system by providing support for mipmapping, matrix
manipulation, polygon tessellation, quadrics, NURBS, and error handling.

%package gb-opengl-glsl
Summary:        High level shading language integration for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-opengl = %{version}

%description gb-opengl-glsl
GLSL (OpenGL Shading Language), also known as GLslang, is a high-level
shading language based on the C programming language. It was created by the
OpenGL ARB to give developers more direct control of the graphics pipeline
without having to use assembly language or hardware-specific languages.

%package gb-opengl-sge
Summary:        The Gambas opengl-sge component
Group:          Development/Tools/IDE
Requires:       %{name}-gb-opengl = %{version}

%description gb-opengl-sge
This component is a simple OpenGL game engine based on the MD2 model format.

%package gb-openssl
Summary:        The Gambas openssl component
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-openssl
This component allows you to use cryptographic functions wrapping libcrypto
from the OpenSSL project.

%if %{with openal}
%package gb-openal
Summary:        The Gambas openal component
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-openal
This component implements an interface to the OpenAL library.
%endif

%package gb-option
Summary:        The second C getopt() interface component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-option
This component implements a command-line arguments parser based on the GNU 
getopt() function.

%package gb-pcre
Summary:        The PCRE component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       pcre

%description gb-pcre
This package includes the Gambas PCRE component.

%package gb-pdf
Summary:        The PDF component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-pdf
This component permits the manipulation of PDF documents.

%if %{with qt4}
%package gb-qt4
Summary:        The Qt4 GUI component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       libqt4 >= 4.5

%description gb-qt4
This package includes the Gambas QT4 GUI component.

%package gb-qt4-ext
Summary:        The extended Qt4 GUI component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-qt4 = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-qt4-ext
This component includes somme uncommon QT4 controls.

%package gb-qt4-opengl
Summary:        Qt4-OpenGL component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-qt4 = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-qt4-opengl
This component allows you to use OpenGL inside Qt4/Gambas.

%package gb-qt4-webkit
Summary:        Qt4-WebKit component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-qt4 = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-qt4-webkit
This component allows you to use the Web Browser widget included in
Qt4/Gambas.
%endif

%if %{with qt5}
%package gb-qt5
Summary:        The Qt5 GUI component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       libqt5-qtbase >= 5.3

%description gb-qt5
This package includes the Gambas QT5 GUI component.

%package gb-qt5-ext
Summary:        The extended Qt5 GUI component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-qt5 = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-qt5-ext
This package contains the Gambas3 Qt5 component with additional stuff.

%package gb-qt5-opengl
Summary:        Qt5-OpenGL component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-qt5 = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-qt5-opengl
This component allows you to use OpenGL inside Qt5/Gambas.

%package gb-qt5-webkit
Summary:        The Qt5 Webkit component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-qt5 = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-qt5-webkit
This component allows you to use the Web Browser widget included in
Qt5/Gambas.
%endif

%package gb-report
Summary:        The Gambas report designer component
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-report
This is the Gambas report designer component.

%package gb-report2
Summary:        The Gambas report designer component 2
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-report2
This is the Gambas report designer component number 2.

%package gb-scanner
Summary:        The Gambas scanner component
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-scanner
This component is based on SANE to help dealing with scanners.

%package gb-sdl
Summary:        The SDL component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       SDL_mixer
Requires:       dejavu
Recommends:     %(rpm -qf $(readlink -qne %{_libdir}/libogg.so) --qf '%%{NAME} >= %%{VERSION}')
Recommends:     %(rpm -qf $(readlink -qne %{_libdir}/libvorbis.so) --qf '%%{NAME} >= %%{VERSION}')
Provides:       %{name}-gb-sdl-image = %{version}
Provides:       %{name}-gb-sdl-opengl = %{version}

%description gb-sdl
This component use only the sound part of the SDL library in Gambas.
It allows you to simultaneously play many sounds and a music stored
in a file.

%package gb-sdl-sound
Summary:        Play sounds in Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       SDL

%description gb-sdl-sound
This component allows you to play sounds in Gambas.

This component manages up to 32 sound tracks, that can play sounds from
memory, and one music track that can play a music from a file. Everything
is mixed in real time.

%package gb-settings
Summary:        Application settings management for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-settings
This component allows you to read and write settings with your
application.

%package gb-signal
Summary:        POSIX signal management for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-signal
This component allows to ignore POSIX signals, or intercept them inside an
event handler.

%package gb-util
Summary:        Utility functions for the Gambas interpreter
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-util
This component provides utility functions to the interpreter.

%package gb-util-web
Summary:        Utility functions for Gambas web applications
Group:          Development/Tools/IDE
Requires:       %{name}-gb-util = %{version}
Requires:       %{name}-runtime = %{version}

%description gb-util-web
This component provides utility functions to web applications.

%package gb-v4l
Summary:        The V4L component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}
Requires:       v4l-tools

%description gb-v4l
This package includes the Gambas V4L component.

%package gb-vb
Summary:        The Visual Basic compatibility component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-vb
This component aims at including some functions that imitate the behaviour
of Visual Basic functions. Use it only if you try to port some VB
projects.

%package gb-xml
Summary:        XML tools for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-xml
This component allows you to read and write XML files.

%package gb-libxml
Summary:        The libxml component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-libxml
These components brings the power of the libxml libraries to Gambas.

This component allows you to read and write XML files.

%package gb-xml-rpc
Summary:        The XML-RPC protocol implementation for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-xml-rpc
XML-RPC client based on libxml and libcurl.

%package gb-xml-xslt
Summary:        libxml-based XSLT tools for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-xml-xslt
XSLT (Extensible Stylesheet Language Transformations) is a declarative,
XML-based language used for the transformation of XML documents.

%package gb-web
Summary:        The CGI web component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-web
This is a component for making CGI web applications, with an ASP-like
interface.

%package gb-web-feed
Summary:        The component to generate and parse RSS documents
Group:          Development/Tools/IDE
Requires:       %{name}-gb-web = %{version}

%description gb-web-feed
This package contains the Gambas3 component to generate and parse RSS 
documents.

%package gb-web-form
Summary:        The CUI web component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-gb-util = %{version}
Requires:       %{name}-gb-util-web = %{version}
Requires:       %{name}-gb-web = %{version}

%description gb-web-form
This component allows to make the GUI of a web application with the IDE 
form editor.

%package gb-form-terminal
Summary:        The terminal emulator component for Gambas
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-form-terminal
This package contains the Gambas3 component for terminal in form.

%package gb-term
Summary:        The component for terminal management with an API
Group:          Development/Tools/IDE
Requires:       %{name}-runtime = %{version}

%description gb-term
This package contains the Gambas3 component for making the GUI of terminal 
applications.

%package gb-term-form
Summary:        The component for making the GUI of terminal applications
Group:          Development/Tools/IDE
Requires:       %{name}-gb-term = %{version}

%description gb-term-form
This package contains the Gambas3 component for making the GUI of terminal 
applications.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%if 0%{?suse_version} >= 1500
%patch3 -p1
%endif

# don't compile in DATE and TIME
BUILDTIME=$(LC_ALL=C date -ur %{_sourcedir}/%{name}.changes +'%H:%M')
BUILDDATE=$(LC_ALL=C date -ur %{_sourcedir}/%{name}.changes +'%b %d %Y')
sed -e "s/__TIME__/\"$BUILDTIME\"/" \
    -e "s/__DATE__/\"$BUILDDATE\"/" \
    -i $(grep -rl '__TIME__\|__DATE__')
#
# remove all hidden files which used by a version control system
find . -type f -iname \.gitignore -delete
#

%build
./reconf-all
# needed, or libtool does not create shared libs
export AM_CFLAGS="%{optflags}"
export AM_CXXFLAGS="%{optflags} -std=gnu++11"
#
%if %{with jit}
export LLVM_INCLUDE="$(llvm-config --includedir)"
export LLVM_LIBS="$(llvm-config --libs core)"
%endif
%configure \
    %if %{without qt5}
    --disable-qt5 \
    %endif
    %if %{without qt4}
    --disable-qt4 \
    %endif
    %if %{without jit}
    --disable-jit
    %endif

# remove %%_smp_mflags to avoid compilation errors
make -j1 V=1

%install
%make_install
install -Dm644 {app/desktop/,%{buildroot}%{_datadir}/icons/hicolor/scalable/apps/}%{name}.svg
install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file %{name} Development IDE
#
# install mime type files
install -Dm644 app/mime/application-x-gambasscript.xml %{buildroot}%{_datadir}/mime/application/x-%{name}script.xml
install -Dm644 app/mime/application-x-gambasscript.png %{buildroot}%{_datadir}/pixmaps/x-%{name}script.png
install -Dm644 %{SOURCE2} %{buildroot}%{_datadir}/mimelnk/application/x-%{name}.desktop
#
# fix wrong link of gambas3 binary
pushd %{buildroot}%{_bindir}
if [ -L "%{name}" ]; then
rm %{name}; ln -s gbx3 %{name}; fi
popd
#
# install help files, even if they are just a few
cp -r ./app/src/%{name}/help %{buildroot}%{_datadir}/%{name}/
rm -rf %{buildroot}%{_datadir}/%{name}/help/wiki/style.css
cp -fv ./app/src/gambas-wiki/.public/style.css %{buildroot}%{_datadir}/%{name}/help/wiki/style.css
#

%if 0%{?suse_version} < 1500
%post runtime
%desktop_database_post
%icon_theme_cache_post

%post script
%mime_database_post
%desktop_database_post

%postun runtime
%desktop_database_postun
%icon_theme_cache_postun

%postun script
%mime_database_postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%dir %{_datadir}/appdata
%dir %{_datadir}/%{name}/template
%{_bindir}/%{name}
%{_bindir}/%{name}.gambas
%{_datadir}/%{name}/template/
%attr(0644,root,root) %{_datadir}/appdata/%{name}.appdata.xml

%files ide
%defattr(-,root,root)
%doc README

%files runtime
%defattr(-,root,root)
%license COPYING 
%doc ChangeLog README.svn-commit
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/info
%dir %{_datadir}/%{name}/icons
%{_bindir}/gbx3
%{_bindir}/gbr3
%{_libdir}/%{name}/gb.la
%{_libdir}/%{name}/gb.so
%{_libdir}/%{name}/gb.so.*
%{_libdir}/%{name}/gb.debug.*
%{_libdir}/%{name}/gb.draw.*
%{_libdir}/%{name}/gb.eval.component
%{_libdir}/%{name}/gb.eval.la
%{_libdir}/%{name}/gb.eval.so*
%{_datadir}/%{name}/info/gb.info
%{_datadir}/%{name}/info/gb.list
%{_datadir}/%{name}/info/gb.debug.*
%{_datadir}/%{name}/info/gb.eval.info
%{_datadir}/%{name}/info/gb.eval.list
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}/icons/*gambas*.png
%attr(0644,root,root) %{_libdir}/%{name}/gb.component

%files devel
%defattr(-,root,root)
%{_bindir}/gbc3
%{_bindir}/gba3
%{_bindir}/gbi3
# problem in upstream
%ifarch %{ix86} %{arm}
%{_bindir}/gbh3
%{_bindir}/gbh3.gambas
%endif
%{_datadir}/%{name}/help

%files script
%defattr(-,root,root)
%dir %{_datadir}/mimelnk
%dir %{_datadir}/mimelnk/application
%{_bindir}/gbs3*
%{_bindir}/gbw3*
%{_datadir}/mime/application/*%{name}*
%{_datadir}/pixmaps/x-%{name}script.png
%{_datadir}/mimelnk/application/x-%{name}.desktop

%files gb-args
%defattr(-,root,root)
%{_libdir}/%{name}/gb.args.*
%{_datadir}/%{name}/info/gb.args.info
%{_datadir}/%{name}/info/gb.args.list

%files gb-cairo
%defattr(-,root,root)
%{_libdir}/%{name}/gb.cairo.component
%{_libdir}/%{name}/gb.cairo.la
%{_libdir}/%{name}/gb.cairo.so*
%{_datadir}/%{name}/info/gb.cairo.*

%if %{with qt4}
%files gb-chart
%defattr(-,root,root)
%{_libdir}/%{name}/gb.chart.component
%{_libdir}/%{name}/gb.chart.gambas
%{_datadir}/%{name}/info/gb.chart.*
%endif

%files gb-clipper
%defattr(-,root,root)
%{_libdir}/%{name}/gb.clipper.la*
%{_libdir}/%{name}/gb.clipper.so*
%{_libdir}/%{name}/gb.clipper.component
%{_datadir}/%{name}/info/gb.clipper.*

%files gb-complex
%defattr(-,root,root)
%{_libdir}/%{name}/gb.complex.*
%{_datadir}/%{name}/info/gb.complex.*

%files gb-compress
%defattr(-,root,root)
%{_libdir}/%{name}/gb.compress.la*
%{_libdir}/%{name}/gb.compress.so*
%{_libdir}/%{name}/gb.compress.component
%{_datadir}/%{name}/info/gb.compress.*

%files gb-compress-bzlib2
%defattr(-,root,root)
%{_libdir}/%{name}/gb.compress.bzlib2.la*
%{_libdir}/%{name}/gb.compress.bzlib2.so*
%{_libdir}/%{name}/gb.compress.bzlib2.component

%files gb-compress-zlib
%defattr(-,root,root)
%{_libdir}/%{name}/gb.compress.zlib.la*
%{_libdir}/%{name}/gb.compress.zlib.so*
%{_libdir}/%{name}/gb.compress.zlib.component

%files gb-crypt
%defattr(-,root,root)
%{_libdir}/%{name}/gb.crypt.component
%{_libdir}/%{name}/gb.crypt.la
%{_libdir}/%{name}/gb.crypt.so*
%{_datadir}/%{name}/info/gb.crypt.*

%files gb-data
%defattr(-,root,root)
%{_libdir}/%{name}/gb.data.*
%{_datadir}/%{name}/info/gb.data.*

%files gb-db
%defattr(-,root,root)
%{_libdir}/%{name}/gb.db.la
%{_libdir}/%{name}/gb.db.so*
%{_libdir}/%{name}/gb.db.component
%{_libdir}/%{name}/gb.db.gambas
%{_datadir}/%{name}/info/gb.db.info
%{_datadir}/%{name}/info/gb.db.list

%files gb-db-form
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control/
%dir %{_datadir}/%{name}/control/gb.db.form
%{_libdir}/%{name}/gb.db.form.component
%{_libdir}/%{name}/gb.db.form.gambas
%{_datadir}/%{name}/control/gb.db.form/*
%{_datadir}/%{name}/info/gb.db.form.*

%files gb-gmp
%defattr(-,root,root)
%{_libdir}/%{name}/gb.gmp.component
%{_libdir}/%{name}/gb.gmp.la
%{_libdir}/%{name}/gb.gmp.so*
%{_datadir}/%{name}/info/gb.gmp.info
%{_datadir}/%{name}/info/gb.gmp.list

%files gb-db-mysql
%defattr(-,root,root)
%{_libdir}/%{name}/gb.db.mysql.*
%{_datadir}/%{name}/info/gb.db.mysql.info
%{_datadir}/%{name}/info/gb.db.mysql.list

%files gb-db-odbc
%defattr(-,root,root)
%{_libdir}/%{name}/gb.db.odbc.component
%{_libdir}/%{name}/gb.db.odbc.la
%{_libdir}/%{name}/gb.db.odbc.so*
%{_datadir}/%{name}/info/gb.db.odbc.*

%files gb-db-postgresql
%defattr(-,root,root)
%{_libdir}/%{name}/gb.db.postgresql.component
%{_libdir}/%{name}/gb.db.postgresql.la
%{_libdir}/%{name}/gb.db.postgresql.so*
%{_datadir}/%{name}/info/gb.db.postgresql.*

%files gb-db-sqlite3
%defattr(-,root,root)
%{_libdir}/%{name}/gb.db.sqlite3.component
%{_libdir}/%{name}/gb.db.sqlite3.la
%{_libdir}/%{name}/gb.db.sqlite3.so*
%{_datadir}/%{name}/info/gb.db.sqlite3.*

%files gb-desktop
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control/
%dir %{_datadir}/%{name}/control/gb.desktop
%{_libdir}/%{name}/gb.desktop.*
%{_datadir}/%{name}/control/gb.desktop/*
%{_datadir}/%{name}/info/gb.desktop.*info
%{_datadir}/%{name}/info/gb.desktop.*list

%files gb-dbus
%defattr(-,root,root)
%{_libdir}/%{name}/gb.dbus*.component
%{_libdir}/%{name}/gb.dbus*.gambas
%{_libdir}/%{name}/gb.dbus.la
%{_libdir}/%{name}/gb.dbus.so*
%{_datadir}/%{name}/info/gb.dbus*.info
%{_datadir}/%{name}/info/gb.dbus.list
%{_datadir}/%{name}/info/gb.dbus*.list

%files gb-eval-highlight
%defattr(-,root,root)
%{_libdir}/%{name}/gb.eval.highlight.component
%{_libdir}/%{name}/gb.eval.highlight.gambas
%{_datadir}/%{name}/info/gb.eval.highlight.info
%{_datadir}/%{name}/info/gb.eval.highlight.list

%files gb-form
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.form
%{_libdir}/%{name}/gb.form.component
%{_libdir}/%{name}/gb.form.gambas
%{_datadir}/%{name}/control/gb.form/*.png
%{_datadir}/%{name}/info/gb.form.info
%{_datadir}/%{name}/info/gb.form.list

%files gb-form-dialog
%defattr(-,root,root)
%{_libdir}/%{name}/gb.form.dialog.*
%{_datadir}/%{name}/info/gb.form.dialog.info
%{_datadir}/%{name}/info/gb.form.dialog.list

%files gb-form-editor
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%{_libdir}/%{name}/gb.form.editor.component
%{_libdir}/%{name}/gb.form.editor.gambas
%{_datadir}/%{name}/control/gb.form.editor
%{_datadir}/%{name}/info/gb.form.editor.info
%{_datadir}/%{name}/info/gb.form.editor.list

%files gb-form-mdi
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.form.mdi
%{_libdir}/%{name}/gb.form.mdi.*
%{_datadir}/%{name}/info/gb.form.mdi.info
%{_datadir}/%{name}/control/gb.form.mdi/*
%{_datadir}/%{name}/info/gb.form.mdi.list

%files gb-form-stock
%defattr(-,root,root)
%{_libdir}/%{name}/gb.form.stock.component
%{_libdir}/%{name}/gb.form.stock.gambas
%{_datadir}/%{name}/info/gb.form.stock.info
%{_datadir}/%{name}/info/gb.form.stock.list

%files gb-geom
%defattr(-,root,root)
%{_libdir}/%{name}/gb.geom.la*
%{_libdir}/%{name}/gb.geom.so*

%files gb-gsl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.gsl.*
%{_datadir}/%{name}/info/gb.gsl.*

%files gb-gtk
%defattr(-,root,root)
%{_libdir}/%{name}/gb.gtk.la
%{_libdir}/%{name}/gb.gtk.so*
%{_libdir}/%{name}/gb.gtk.component
%{_datadir}/%{name}/info/gb.gtk.info
%{_datadir}/%{name}/info/gb.gtk.list

%files gb-gtk3
%defattr(-,root,root)
%{_libdir}/%{name}/gb.gtk3.la
%{_libdir}/%{name}/gb.gtk3.so*
%{_libdir}/%{name}/gb.gtk3.component
%{_datadir}/%{name}/info/gb.gtk3.info
%{_datadir}/%{name}/info/gb.gtk3.list

%files gb-gtk-opengl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.gtk.opengl.la
%{_libdir}/%{name}/gb.gtk.opengl.so*
%{_libdir}/%{name}/gb.gtk.opengl.component
%{_datadir}/%{name}/info/gb.gtk.opengl.info
%{_datadir}/%{name}/info/gb.gtk.opengl.list

%files gb-gui
%defattr(-,root,root)
%{_libdir}/%{name}/gb.gui.*
%{_datadir}/%{name}/info/gb.gui.*

%files gb-httpd
%defattr(-,root,root)
%{_libdir}/%{name}/gb.httpd.*
%{_datadir}/%{name}/info/gb.httpd.*

%files gb-image
%defattr(-,root,root)
%{_libdir}/%{name}/gb.image.la*
%{_libdir}/%{name}/gb.image.so*
%{_libdir}/%{name}/gb.image.component
%{_datadir}/%{name}/info/gb.image.info
%{_datadir}/%{name}/info/gb.image.list

%files gb-image-effect
%defattr(-,root,root)
%{_libdir}/%{name}/gb.image.effect.component
%{_libdir}/%{name}/gb.image.effect.la
%{_libdir}/%{name}/gb.image.effect.so*
%{_datadir}/%{name}/info/gb.image.effect.info
%{_datadir}/%{name}/info/gb.image.effect.list

%files gb-image-imlib
%defattr(-,root,root)
%{_libdir}/%{name}/gb.image.imlib.component
%{_libdir}/%{name}/gb.image.imlib.la
%{_libdir}/%{name}/gb.image.imlib.so*
%{_datadir}/%{name}/info/gb.image.imlib.info
%{_datadir}/%{name}/info/gb.image.imlib.list

%files gb-image-io
%defattr(-,root,root)
%{_libdir}/%{name}/gb.image.io.component
%{_libdir}/%{name}/gb.image.io.la
%{_libdir}/%{name}/gb.image.io.so*
%{_datadir}/%{name}/info/gb.image.io.info
%{_datadir}/%{name}/info/gb.image.io.list

%files gb-inotify
%defattr(-,root,root)
%{_libdir}/%{name}/gb.inotify.component
%{_libdir}/%{name}/gb.inotify.la
%{_libdir}/%{name}/gb.inotify.so*
%{_datadir}/%{name}/info/gb.inotify.info
%{_datadir}/%{name}/info/gb.inotify.list

%if %{with jit}
%files gb-jit
%defattr(-,root,root)
%{_libdir}/%{name}/gb.jit.*
%{_datadir}/%{name}/info/gb.jit.*
%endif

%files gb-logging
%defattr(-,root,root)
%{_libdir}/%{name}/gb.logging.*
%{_datadir}/%{name}/info/gb.logging.*

%files gb-markdown
%defattr(-,root,root)
%{_libdir}/%{name}/gb.markdown.component
%{_libdir}/%{name}/gb.markdown.gambas
%{_datadir}/%{name}/info/gb.markdown.info
%{_datadir}/%{name}/info/gb.markdown.list

%files gb-media
%dir %{_datadir}/%{name}/control
%{_libdir}/%{name}/gb.media*.component
%{_libdir}/%{name}/gb.media.form.gambas
%{_libdir}/%{name}/gb.media.la
%{_libdir}/%{name}/gb.media.so*
%{_datadir}/%{name}/control/gb.media.form
%{_datadir}/%{name}/info/gb.media*.info
%{_datadir}/%{name}/info/gb.media*.list

%files gb-maps
%defattr(-,root,root)
%{_libdir}/%{name}/gb.map.*
%{_datadir}/%{name}/info/gb.map.*
%{_datadir}/%{name}/control/gb.map

%files gb-memcached
%defattr(-,root,root)
%{_libdir}/%{name}/gb.memcached.*
%{_datadir}/%{name}/info/gb.memcached.*

%files gb-mime
%defattr(-,root,root)
%{_libdir}/%{name}/gb.mime.*
%{_datadir}/%{name}/info/gb.mime.*

%files gb-mysql
%defattr(-,root,root)
%{_libdir}/%{name}/gb.mysql.component
%{_libdir}/%{name}/gb.mysql.gambas
%{_datadir}/%{name}/info/gb.mysql.info
%{_datadir}/%{name}/info/gb.mysql.list

%files gb-ncurses
%defattr(-,root,root)
%{_libdir}/%{name}/gb.ncurses.*
%{_datadir}/%{name}/info/gb.ncurses.*

%files gb-net
%defattr(-,root,root)
%{_libdir}/%{name}/gb.net.la
%{_libdir}/%{name}/gb.net.so*
%{_libdir}/%{name}/gb.net.component
%{_datadir}/%{name}/info/gb.net.info
%{_datadir}/%{name}/info/gb.net.list

%files gb-net-curl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.net.curl.gambas
%{_libdir}/%{name}/gb.net.curl.la
%{_libdir}/%{name}/gb.net.curl.so*
%{_libdir}/%{name}/gb.net.curl.component
%{_datadir}/%{name}/info/gb.net.curl.info
%{_datadir}/%{name}/info/gb.net.curl.list

%files gb-net-pop3
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.net.pop3
%{_libdir}/%{name}/gb.net.pop3.*
%{_datadir}/%{name}/info/gb.net.pop3.*
%{_datadir}/%{name}/control/gb.net.pop3/pop3client.png

%files gb-net-smtp
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.net.smtp
%{_libdir}/%{name}/gb.net.smtp.component
%{_libdir}/%{name}/gb.net.smtp.gambas
%{_datadir}/%{name}/info/gb.net.smtp.info
%{_datadir}/%{name}/info/gb.net.smtp.list
%{_datadir}/%{name}/control/gb.net.smtp/smtpclient.png

%files gb-opengl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.opengl.component
%{_libdir}/%{name}/gb.opengl.la
%{_libdir}/%{name}/gb.opengl.so*
%{_datadir}/%{name}/info/gb.opengl.info
%{_datadir}/%{name}/info/gb.opengl.list

%files gb-opengl-glu
%defattr(-,root,root)
%{_libdir}/%{name}/gb.opengl.glu.component
%{_libdir}/%{name}/gb.opengl.glu.la
%{_libdir}/%{name}/gb.opengl.glu.so*
%{_datadir}/%{name}/info/gb.opengl.glu.info
%{_datadir}/%{name}/info/gb.opengl.glu.list

%files gb-opengl-glsl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.opengl.glsl.component
%{_libdir}/%{name}/gb.opengl.glsl.la
%{_libdir}/%{name}/gb.opengl.glsl.so*
%{_datadir}/%{name}/info/gb.opengl.glsl.info
%{_datadir}/%{name}/info/gb.opengl.glsl.list

%files gb-opengl-sge
%defattr(-,root,root)
%{_libdir}/%{name}/gb.opengl.sge.component
%{_libdir}/%{name}/gb.opengl.sge.la
%{_libdir}/%{name}/gb.opengl.sge.so*
%{_datadir}/%{name}/info/gb.opengl.sge.info
%{_datadir}/%{name}/info/gb.opengl.sge.list

%files gb-openssl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.openssl.component
%{_libdir}/%{name}/gb.openssl.la
%{_libdir}/%{name}/gb.openssl.so*
%{_datadir}/%{name}/info/gb.openssl.info
%{_datadir}/%{name}/info/gb.openssl.list

%if %{with openal}
%files gb-openal
%defattr(-,root,root)
%{_libdir}/%{name}/gb.openal.*
%{_datadir}/%{name}/info/gb.openal.*
%endif

%files gb-option
%defattr(-,root,root)
%{_libdir}/%{name}/gb.option.*
%{_datadir}/%{name}/info/gb.option.*

%files gb-pcre
%defattr(-,root,root)
%{_libdir}/%{name}/gb.pcre.*
%{_datadir}/%{name}/info/gb.pcre.*

%files gb-pdf
%defattr(-,root,root)
%{_libdir}/%{name}/gb.pdf.*
%{_datadir}/%{name}/info/gb.pdf.*

%if %{with qt4}
%files gb-qt4
%defattr(-,root,root)
%{_libdir}/%{name}/gb.qt4.la
%{_libdir}/%{name}/gb.qt4.so*
%{_libdir}/%{name}/gb.qt4.component
%{_datadir}/%{name}/info/gb.qt4.info
%{_datadir}/%{name}/info/gb.qt4.list

%files gb-qt4-ext
%defattr(-,root,root)
%{_libdir}/%{name}/gb.qt4.ext.la
%{_libdir}/%{name}/gb.qt4.ext.so*
%{_libdir}/%{name}/gb.qt4.ext.component
%{_datadir}/%{name}/info/gb.qt4.ext.info
%{_datadir}/%{name}/info/gb.qt4.ext.list

%files gb-qt4-opengl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.qt4.opengl.component
%{_libdir}/%{name}/gb.qt4.opengl.la
%{_libdir}/%{name}/gb.qt4.opengl.so*
%{_datadir}/%{name}/info/gb.qt4.opengl.info
%{_datadir}/%{name}/info/gb.qt4.opengl.list

%files gb-qt4-webkit
%defattr(-,root,root)
%{_libdir}/%{name}/gb.qt4.webkit.component
%{_libdir}/%{name}/gb.qt4.webkit.la
%{_libdir}/%{name}/gb.qt4.webkit.so*
%{_datadir}/%{name}/info/gb.qt4.webkit.info
%{_datadir}/%{name}/info/gb.qt4.webkit.list
%endif

%if %{with qt5}
%files gb-qt5
%defattr(-,root,root)
%{_libdir}/%{name}/gb.qt5.component
%{_libdir}/%{name}/gb.qt5.la
%{_libdir}/%{name}/gb.qt5.so*
%{_datadir}/%{name}/info/gb.qt5.info
%{_datadir}/%{name}/info/gb.qt5.list

%files gb-qt5-ext
%{_libdir}/%{name}/gb.qt5.ext.component
%{_libdir}/%{name}/gb.qt5.ext.la
%{_libdir}/%{name}/gb.qt5.ext.so*
%{_datadir}/%{name}/info/gb.qt5.ext.info
%{_datadir}/%{name}/info/gb.qt5.ext.list

%files gb-qt5-opengl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.qt5.opengl.component
%{_libdir}/%{name}/gb.qt5.opengl.la
%{_libdir}/%{name}/gb.qt5.opengl.so*
%{_datadir}/%{name}/info/gb.qt5.opengl.list
%{_datadir}/%{name}/info/gb.qt5.opengl.info

%files gb-qt5-webkit
%defattr(-,root,root)
%{_libdir}/%{name}/gb.qt5.webkit.component
%{_libdir}/%{name}/gb.qt5.webkit.la
%{_libdir}/%{name}/gb.qt5.webkit.so*
%{_datadir}/%{name}/info/gb.qt5.webkit.info
%{_datadir}/%{name}/info/gb.qt5.webkit.list
%endif

%files gb-report
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.report
%{_libdir}/%{name}/gb.report.*
%{_datadir}/%{name}/control/gb.report/*
%{_datadir}/%{name}/info/gb.report.info
%{_datadir}/%{name}/info/gb.report.list

%files gb-report2
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.report2
%{_libdir}/%{name}/gb.report2.*
%{_datadir}/%{name}/control/gb.report2/*
%{_datadir}/%{name}/info/gb.report2.info
%{_datadir}/%{name}/info/gb.report2.list

%files gb-scanner
%defattr(-,root,root)
%{_libdir}/%{name}/gb.scanner.*
%{_datadir}/%{name}/info/gb.scanner.*

%files gb-sdl
%defattr(-,root,root)
%{_libdir}/%{name}/gb.sdl.la
%{_libdir}/%{name}/gb.sdl.so
%{_libdir}/%{name}/gb.sdl.so.*
%{_libdir}/%{name}/gb.sdl.component
%{_datadir}/%{name}/info/gb.sdl.info
%{_datadir}/%{name}/info/gb.sdl.list

%files gb-sdl-sound
%defattr(-,root,root)
%{_libdir}/%{name}/gb.sdl.sound.component
%{_libdir}/%{name}/gb.sdl.sound.la
%{_libdir}/%{name}/gb.sdl.sound.so*
%{_datadir}/%{name}/info/gb.sdl.sound.info
%{_datadir}/%{name}/info/gb.sdl.sound.list

%files gb-settings
%defattr(-,root,root)
%{_libdir}/%{name}/gb.settings.*
%{_datadir}/%{name}/info/gb.settings.info
%{_datadir}/%{name}/info/gb.settings.list

%files gb-signal
%defattr(-,root,root)
%{_libdir}/%{name}/gb.signal.component
%{_libdir}/%{name}/gb.signal.la
%{_libdir}/%{name}/gb.signal.so*
%{_datadir}/%{name}/info/gb.signal.info
%{_datadir}/%{name}/info/gb.signal.list

%files gb-util
%defattr(-,root,root)
%{_libdir}/%{name}/gb.util.component
%{_libdir}/%{name}/gb.util.gambas
%{_datadir}/%{name}/info/gb.util.info
%{_datadir}/%{name}/info/gb.util.list

%files gb-util-web
%defattr(-,root,root)
%{_libdir}/%{name}/gb.util.web.*
%dir %{_datadir}/%{name}/control/gb.util.web
%{_datadir}/%{name}/control/gb.util.web/*
%{_datadir}/%{name}/info/gb.util.web.*

%files gb-v4l
%defattr(-,root,root)
%{_libdir}/%{name}/gb.v4l.*
%{_datadir}/%{name}/info/gb.v4l.*

%files gb-vb
%defattr(-,root,root)
%{_libdir}/%{name}/gb.vb.la
%{_libdir}/%{name}/gb.vb.so*
%{_libdir}/%{name}/gb.vb.component
%{_datadir}/%{name}/info/gb.vb.info
%{_datadir}/%{name}/info/gb.vb.list

%files gb-xml
%defattr(-,root,root)
%{_libdir}/%{name}/gb.xml.component
%{_libdir}/%{name}/gb.xml.gambas
%{_libdir}/%{name}/gb.xml.la
%{_libdir}/%{name}/gb.xml.so*
%{_datadir}/%{name}/info/gb.xml.info
%{_datadir}/%{name}/info/gb.xml.list

%files gb-libxml
%defattr(-,root,root)
%{_libdir}/%{name}/gb.libxml.component
%{_libdir}/%{name}/gb.libxml.la
%{_libdir}/%{name}/gb.libxml.so*
%{_datadir}/%{name}/info/gb.libxml.info
%{_datadir}/%{name}/info/gb.libxml.list

%files gb-xml-rpc
%defattr(-,root,root)
%{_libdir}/%{name}/gb.xml.rpc.component
%{_libdir}/%{name}/gb.xml.rpc.gambas
%{_libdir}/%{name}/gb.xml.html.component
%{_libdir}/%{name}/gb.xml.html.la
%{_libdir}/%{name}/gb.xml.html.so*
%{_datadir}/%{name}/info/gb.xml.rpc.info
%{_datadir}/%{name}/info/gb.xml.rpc.list
%{_datadir}/%{name}/info/gb.xml.html.info
%{_datadir}/%{name}/info/gb.xml.html.list

%files gb-xml-xslt
%defattr(-,root,root)
%{_libdir}/%{name}/gb.xml.xslt.component
%{_libdir}/%{name}/gb.xml.xslt.la
%{_libdir}/%{name}/gb.xml.xslt.so*
%{_datadir}/%{name}/info/gb.xml.xslt.info
%{_datadir}/%{name}/info/gb.xml.xslt.list

%files gb-web
%defattr(-,root,root)
%{_libdir}/%{name}/gb.web.*
%{_datadir}/%{name}/info/gb.web.info
%{_datadir}/%{name}/info/gb.web.list

%files gb-web-feed
%defattr(-,root,root)
%{_datadir}/%{name}/info/gb.web.feed.info
%{_datadir}/%{name}/info/gb.web.feed.list

%files gb-web-form
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.web.form
%{_datadir}/%{name}/control/gb.web.form/*.png
%{_datadir}/%{name}/info/gb.web.form.info
%{_datadir}/%{name}/info/gb.web.form.list

%files gb-form-terminal
%defattr(-,root,root)
%dir %{_datadir}/%{name}/control
%dir %{_datadir}/%{name}/control/gb.form.terminal
%{_libdir}/%{name}/gb.form.terminal.component
%{_libdir}/%{name}/gb.form.terminal.gambas
%{_datadir}/%{name}/control/gb.form.terminal/*.png
%{_datadir}/%{name}/info/gb.form.terminal.info
%{_datadir}/%{name}/info/gb.form.terminal.list

%files gb-term
%defattr(-,root,root)
%{_libdir}/%{name}/gb.term.component
%{_libdir}/%{name}/gb.term.la
%{_libdir}/%{name}/gb.term.so*
%{_datadir}/%{name}/info/gb.term.info
%{_datadir}/%{name}/info/gb.term.list

%files gb-term-form
%defattr(-,root,root)
%{_libdir}/%{name}/gb.term.form.component
%{_libdir}/%{name}/gb.term.form.gambas
%{_datadir}/%{name}/info/gb.term.form.info
%{_datadir}/%{name}/info/gb.term.form.list

%changelog
* Wed Apr 18 2018 mpluskal@suse.com
-  Drop sqlite2 support as it is being obsoleted
* Tue Mar  6 2018 lars@linux-schulserver.de
- use %%license macro
- use spdx 3.0 license string
* Mon Dec 11 2017 avvissu@yandex.by
- Fix build on Factory (add pkgconfig({ice,sm}))
* Sun Dec 10 2017 avvissu@yandex.by
- Rebase bconds
- Add gb-openal package
- [Fixed] E: summary-not-capitalized
- Update description for: gb-args, gb-option, gb-xml-rpc
- Spec file cleanup
* Sat Dec  9 2017 avvissu@yandex.by
- Build with the --disable-qt4 option on Factory
- Add gambas3-3.10.0-disable-qt4.patch (bnc#1072031)
- Drop gambas3-gb-chart (only qt4 version)
- Add pkgconfig(poppler-qt{4,5})
* Thu Dec  7 2017 dimstar@opensuse.org
- Escape the usage of %%{VERSION} when calling out to rpm.
  RPM 4.14 has %%{VERSION} defined as 'the main packages version'.
* Tue Sep 19 2017 zaitor@opensuse.org
- Add gambas3-adapt-to-poppler-058.patch: Adapt to poppler 0.58 api
  changes.
- Drop obsolete and unused pkgconfig(webkit-1.0) BuildRequires.
* Mon Aug 28 2017 zaitor@opensuse.org
- Pull in tarball from upstream again to please Factory source
  checker bots, as a new tarball with same version was uploaded
* Wed Jul 19 2017 avvissu@yandex.by
- Update to 3.10.0:
  * see: http://gambaswiki.org/wiki/doc/release/3.10.0
- Add component gambas3-gb-term
- Drop gambas3-3.9.2-gcc7.patch
- Rename and rebase gambas3-3.9.2-llvm.patch to
  gambas3-3.10.0-llvm.patch
- Spec file cleanup
* Sun Jun  4 2017 avvissu@yandex.by
- Build with gcc7 (gambas3-3.9.2-gcc7.patch)
* Wed Feb  8 2017 avvissu@yandex.by
- Fix conflict with shared-mime-info
* Wed Feb  8 2017 avvissu@yandex.by
- Add gambas3-rpmlintrc in spec file
* Tue Feb  7 2017 jengelh@inai.de
- Update descriptions
- Fix a wrong {with qt4} to be {with qt5}
* Sun Feb  5 2017 avvissu@yandex.by
- Update to 3.9.2:
  * Release includes various bugfixes
  * See more info: http://gambaswiki.org/wiki/doc/release/3.9.2?nh
- Update patch:
  * gambas3-3.8.3-llvm.patch -> gambas3-3.9.2-llvm.patch
* Fri Sep 16 2016 avvissu@yandex.by
- Update to 3.9.1:
  * Release includes various bugfixes
  * See more info: http://gambaswiki.org/wiki/doc/release/3.9.1?nh
- Change in 3.9.0:
  * A new component gb.web.form and gb.form.terminal
  * A new IDE output console based on the previous component
  * A new and better project argument list interface
  * Project creation is now based on project templates
  * The Expression class is now inheritable and allows to customize
    the interpreter evaluator.
  * FileView and DirView controls automatically refresh themselves
    if your project uses the gb.inotify component
  * TextEditor now can display thin vertical lines to emphasize
    indentation
  * Menu can have a proxy, i.e. pop up the children of another menu
  * Paint.StretchImage() is a new method that scales an image to
    fit a rectangle, keeping the image proportions
  * gb.net.smtp component support PLAIN and CRAM-MD5 authentication
  * See more info: http://gambaswiki.org/wiki/doc/release/3.9.0?nh
- Use default Qt5 on openSUSE > 13.2
* Tue May 31 2016 avvissu@yandex.by
- Recheck the required dependencies
* Sat May 21 2016 aloisio@gmx.com
- Fixed Tumbleweed build
* Mon Mar  7 2016 avvissu@yandex.ru
- Add Requires:	gb-{markdown,util}
* Sun Mar  6 2016 avvissu@yandex.ru
- Fix: Installation of Gambas [bnc#969744]
* Fri Dec 25 2015 avvissu@yandex.ru
- Update to 3.8.4:
  * Release includes various bugfixes
  * No crash anymore when running the IDE through a terminal server.
  * Support for time-only values on recent PostgreSQL databases.
  * Support for PLAIN and CRAM-MD5 authentications in gb.net.smtp.
  * See more info: http://gambaswiki.org/wiki/doc/release/3.8.4?nh
* Wed Nov 11 2015 avvissu@yandex.ru
- Update to 3.8.3:
  * Source files can now be dragged & dropped in the IDE project
    tree.
  * Project directories are now movable.
  * Support for line cap style, line join style and fill rule in
    the IDE image editor.
  * Array accessors are faster.
  * See more info: http://gambaswiki.org/wiki/doc/release/3.8.3?nh
- Build with llvm on openSUSE <= 13.2 (gambas3-3.8.3-llvm.patch)
- Clean up functions for configuration gambas3
- Add a new package for openSUSE <= 13.2: gb-jit
- Remove files: gambas3-Fedora_16.spec, gambas3.png
* Sat Oct 31 2015 avvissu@yandex.ru
- Add a new package: gb-libxml
- Don't use fdupes: symbolic links can be empty
* Tue Oct 27 2015 avvissu@yandex.ru
- Update to 3.8.2:
  * Support for dark themes.
  * New logo, project, mime types and control icons based on the
    breeze theme look.
  * Project creation is now based on customizable project templates.
  * Logical set operations on selections in the image editor.
  * Relative paths now can refer to files located in the main
    project, in the current component, or in components crossed by
    stacked function calls.
  * The ODBC component is usable now.
  * Includes all bugs fixes since the release of 3.8.1
  * See more info: http://gambaswiki.org/wiki/doc/release/3.8.2?nh
- Change in 3.8.1:
  * This release includes all bugs fixes and little changes made
    since the release of Gambas 3.8.0.
  * See more info: http://gambaswiki.org/wiki/doc/release/3.8.1?nh
- Change in 3.8.0:
  * The text editor has been entirely rewritten in Gambas. It is
    located in a new component named gb.form.editor.
  * Support for QT5. The new gb.qt5, gb.qt5.opengl and gb.qt5.webkit
    components have the same interface as the QT4 components.
  * Automatic support for KDE & Unity tray icon DBus protocols.
  * Important fixed in UTF-8 string handling.
  * Searching inside native arrays is faster.
  * The SQLite3 driver has been rewritten and is faster now.
  * And of course tons of bug fixes...
  * See more info: http://gambaswiki.org/wiki/doc/release/3.8.0?nh
- Use pkgconfig(foo) style
- Use %%{version} macro: its use is highly recommended
- Update Requires in gb-image-imlib and gb-sdl
- Fix build with v4l support
- Do not compile in DATE and TIME
- Build with Qt5 on openSUSE > 13.2
- Del old functions for configuration gambas3
- Add a svg icon instead of png: use %%icon_theme_cache_post(un)
- Use %%mime_database_post(un) and %%desktop_database_post(un)
- Add a new packages: gb-gmp, gb-form-editor, gb-media
- Spec file cleanup
* Wed May 20 2015 lars@linux-schulserver.de
- update to 3.7.1:
  [General]
  * A new software repository made with Gambas for Gambas. It allows to
    publish and install Gambas softwares.
    All Gambas examples will be stored there now.
  [Development environment]
  * Projects can be published to a "farm server", and installed from there.
  * The database editor now automatically store the description of the
    database into a template file that can be used at runtime to
    initialize a new database.
  * The text editor now can handle Unix, Windows and Mac end-of-lines
    characters.
  [Interpreter & compiler]
  * Array accessors are now faster.
  * Two new functions for encoding URLs: Url$ and FromUrl$.
  * The child process interface has been fixed and optimized.
  * The USE instruction of Gambas scripts is now part of the language.
  [Components]
  * gb.db got new methods to create databases from templates generated by the IDE.
  * gb.db.mysql is now faster, as metadata requests are now cached.
  * gb.db.sqlite3 now supports common table expressions introduced in SQLite 3.8.3.
  * ListEditor is a new control that allows to edit and reorder the contents
    of a ListBox.
  * Completion is a new class that helps implementing automatic completion.
  * FileCompletion is a new class that implements file automatic completion.
  * DocumentView is a new control that allows to implement a viewer of any document.
  * ColorPalette is a new control that allows to select a color among a
    predefined list of colors.
  * MessageView is a new control that implements an embedded notification panel
    that is automatically hidden and shown if there is a message to display.
  * Keyboard management and input method nightmare have been fixed in gb.gtk and gb.gtk3.
  * The Border class is now creatable and allows to paint complex css-like
    border where you want.
  * HttpForm is a new class to help submit forms to HTTP servers.
  * /wiki/comp/gb.report2 is a new and better implementation of the
    reporting component.
  * gb.scanner is a new component based on SANE to help dealing with scanners.
  * The same Settings can now be shared by several running applications.
  * gb.util is a new component written in Gambas that provides utility
    functions to the interpreter.
  * gb.util.web is a new component written in Gambas that provides utility
    functions to web applications.
- spec file cleanup
- removed example sub-package
* Sat Dec 27 2014 lars@linux-schulserver.de
- update to 3.6.2:
  [DEVELOPMENT ENVIRONMENT]
  * BUG: Control properties containing a database table name can be modified
    again.
  [GB.DATA]
  * BUG: Don't use forward typedefs as some compilers don't seem to
    understand them.
  * BUG: Silence false positive compiler warnings.
  [GB.DB.MYSQL]
  * BUG: Try to reconnect to a lost database server when listing existing
    databases and the fields of a table.
  [GB.FORM]
  * NEW: The SliderBox is now in the same change group as Slider.
  [GB.GTK]
  * BUG: Fix an uninitialized variable.
  * BUG: Fix warning with Slider or SpinBox when setting a minimum value
    equal to the maximum value, or the contrary.
  [GB.GTK3]
  * BUG: Fix an uninitialized variable.
  * BUG: Fix warning with Slider or SpinBox when setting a minimum value
    equal to the maximum value, or the contrary.
  * BUG: Paint.Reset() now works as expected on non-cached DrawingArea.
  [GB.GUI.AREA]
  * BUG: TreeView renaming works now if the renamed item is not visible.
  [GB.MEDIA.FORM]
  * BUG: MediaView: The Control property has been renamed as ShowControl.
  [GB.QT4]
  * BUG: The Menu.Checked property now returns the correct value for
    non-radio menu items.
  * BUG: TextBox: Workaround a Qt4 weird behaviour that sometimes lose the
    selection. Same workaround for editable ComboBox.
  * BUG: Fix a compilation warning.
* Fri Dec 19 2014 lars@linux-schulserver.de
- update to 3.6.1:
  This new release fixes more than 459 bugs, adds 465 new features
  and 22 optimizations. Some of the main changes are:
  * A new open project dialog in the IDE.
  * Support for session management.
  * Offline help automatically downloaded from the wiki.
  * Single-file mode for the IDE.
  * Support for transparent windows.
  * Shadowed text drawing routines.
  * New controls: Spinner, SwitchButton, DirBox, FontBox.
  * gb.gtk3 is a new GUI component based on GTK+ 3.
  * gb.inotify is a new component to monitor filesystem events
    with Linux inotify interface.
  * gb.markdown is a new component that implements the Gambas
    Markdown syntax.
  * The gb.net.smtp component has been entirely rewritten in
    Gambas and fixed.
- added sub-packages:
  + gb-inotify
  + gb-gtk3
  + gb-markdown
- adapted file list for latest changes and fixes
* Mon Jul  7 2014 lars@linux-schulserver.de
- update to 3.5.4:
  [CONFIGURATION]
  * NEW: The GB_FIND macro now searches files one directory deeper.
  * NEW: Add a new autoconf macro that can compare version numbers.
  [DEVELOPMENT ENVIRONMENT]
  * BUG: Form editor: Setting the "Invert" property of a container now does
    not crash anymore.
  * BUG: Automatically solve conflicts on project configuration files by
    taking the ones from the repository.
  * BUG: Fix the custom browser support.
  * NEW: Add Chromimum to the list of browsers.
  * BUG: Creating a new SDL project correctly checks all needed components.
  * NEW: Use the new wiki for the documentation.
  * BUG: Write project configuration before making an executable or a source
    archive, so that their contents is up to date.
  * BUG: Don't freeze when loading an older version of a component project
    that misses some classes implemented in the newer versions of the
    component.
  * BUG: Fix the analyze of exported classes that override a class from a
    component.
  * BUG: Help on function argument is correct now.
  [EXAMPLES]
  * BUG: NeHeTutorial: Fix compilation error.
  [INTERPRETER]
  * BUG: Add a small reserved area in the stack for the Eval() function, so
    that the debugger can return the contents of a variable after a stack
    overflow without raising a new stack overflow error and then crashing.
  * BUG: System.TimeZone now returns the accurate value, i.e. the number of
    seconds that must be *added* to go to UTC.
  * BUG: Correctly close the standard error output of an ending process if
    its standard output has already been closed.
  * BUG: Fix a possible file descriptor leak when using LOCK.
  * BUG: Fix memory leak with Lower$() and Upper$() on some null strings.
  [COMPILER]
  * BUG: Correctly raise a syntax error now when there is anything between
    the left part of an assignment and the assignment operator.
  * BUG: Prevent NEW and READ from being used without an affectation.
  * BUG: Raise an error if a function has too many arguments or too many
    local variables.
  [GB.COMPLEX]
  * BUG: Conversion from complex to number now returns the real part if the
    imaginary part is null, and raises an error otherwise. It does not return
    the complex modulus anymore. Use Abs() for that.
  [GB.DB.POSTGRESQL]
  * BUG: Make gb.db.postgresql compile with new postgresql headers location.
  [GB.DEBUG]
  * BUG: Fix a possible crash if the debugged process is stopped during the
    Debug Read event.
  [GB.FORM]
  * BUG: ValueBox.ReadOnly works as expected now.
  * BUG: TableView.Clear now hides the current edited cell.
  * BUG: Balloon: Fix position on desktop having top and/or left panels.
  * BUG: Balloon: Fix arrow drawing.
  [GB.GTK]
  * BUG: TextArea.Text property can be set to a null string correctly now.
  * BUG: Fix the behaviour of auto-resize labels.
  * BUG: Setting Application.Font now updates the font of all controls.
  * BUG: The TextArea.Text property does not waste memory anymore.
  * BUG: TrayIcon: Handle DblClick and MouseWheel events correctly.
  * BUG: Controls inside TabStrip now are detected correctly and are not
    insensitive anymore.
  * BUG: The MouseDrag event can be canceled now, like with gb.qt4.
  * BUG: Fix the default size of message boxes.
  * BUG: Fix Align.IsBottom() and Align.IsMiddle().
  [GB.GSL]
  * BUG: Conversion from complex to number now returns the real part if the
    imaginary part is null, and raises an error otherwise. It does not return
    the complex modulus anymore. Use Abs() for that.
  [GB.GUI.BASE]
  * BUG: Draw.Line() correctly takes into account the LineStyle property in
    all cases now.
  * BUG: Fix the dash patterns used for implementing the Draw.LineStyle
    property.
  * BUG: GridView: Dnd now works as expected even in multiple selection mode.
  * BUG: Draw.End() now resets anti-aliasing to TRUE.
  * BUG: If the Layout property of HSplit or VSplit controls does not receive
    one size for each child control, then child controls without size are
    hidden (i.e. their size is assumed to be zero).
  [GB.IMAGE]
  * BUG: Rewrite the ImageStat class source code because the PHP licence is
    not compatible with the GPL.
  [GB.JIT]
  * BUG: Explicitely search for the 'llvm-c/Core.h' include file.
  * BUG: Fix LLVM version comparison.
  [GB.MEDIA]
  * BUG: When a MediaPipeline is freed, the pipeline is first stopped before
    being put to the null state. Otherwise GStreamer freezes.
  * BUG: Fix inputs and outputs enumeration.
  [GB.NCURSES]
  * BUG: Add GB_END_DECLARE to the Input class to not crash anymore (on
    cygwin only?). Reported by Nigel Gerrard.
  [GB.NET.CURL]
  * BUG: The VerifyPeer and VerifyHost properties are really taken into
    account now.
  [GB.NET.POP3]
  * BUG: Pop3Client: Raise an error if the Open() method fails, and correctly
    abort the connection.
  [GB.OPENSSL]
  * BUG: Cipher[] and Digest[] now read their method argument correctly.
  * BUG: Fix bad use of string API in the Cipher class. Consequently
    Cipher[].Encrypt() does not crash anymore.
  [GB.SETTINGS]
  * BUG: Enumerating `Settings.Keys[Slot]` (the keys of a specific slot) does
    not break anymore the enumeration of `Settings.Key` (the slot names).
  [GB.QT4]
  * BUG: Fix the behaviour of auto-resize labels.
  [GB.XML.HTML]
  * BUG: Fix the implementation of HTMLDocument.GetElementById().
  [GB.NET.SMTP]
  * NEW: Recipients now support the "Chuck Norris <chuck@norris.com>" syntax.
  * NEW: The "Chuck Norris <chuck@norris.com>" is now supported in the "From"
    property.
  [GB.OPENGL]
  * BUG: Fix the missing "gl" prefix on two OpenGL calls.
  [GB.QT4]
  * BUG: TextLabel: Automatic size is correctly computed now. Apparently
    there are internal changes in the Qt library that made it false.
  * BUG: Text can be drop on TextBox and TextArea controls again, unless
    their Drop property is set. In that case, the dnd behavior is entirely
    controlled by Gambas.
  * BUG: Correctly free the internal clipboard formats list when the
    clipboard contents changes. This avoids possible crashes.
  * BUG: Correctly handle UTF-8 when displaying the error message.
  * BUG: Fix Align.IsBottom() and Align.IsMiddle().
  * BUG: Key.Normal now works correctly with numeric pad keys.
  [GB.SDL]
  * BUG: Don't create a default TTF font for each draw event!
* Sat Feb 15 2014 lars@linux-schulserver.de
- update to 3.5.2:
  This release fixes more than sixty bugs - please have a look at
  /usr/share/doc/packages/gambas3/ChangeLog for details
* Thu Dec 12 2013 dap.darkness@gmail.com
- 3.5.1 fixes:
  * added subpackages:
    + gb-clipper,
    + gb-geom,
    + gb-logging,
    + opengl-sge,
    + openssl;
  * obsoleted subpackage:
  - gb-media;
  * fixed up subpackages:
    x gb-complex,
    x gb-sdl.
* Mon Nov 18 2013 lars@linux-schulserver.de
- update to 3.5.1:
  [DEVELOPMENT ENVIRONMENT]
  * BUG: Fix project browser cursor management when the focus is on the
    filter field.
  * BUG: Fix form editor control highlighting when the hovered control is a
    ScrollView.
  * BUG: Packager now use the current Gambas major & minor version as minimum
    version for component dependencies.
  * BUG: Follow Ubuntu package naming convention.
  * BUG: Some fixes in GUI metapackage creation for Debian/Ubuntu.
  * BUG: Automatic completion of identifiers now correctly shows the known
    classes.
  * BUG: Correctly display optional values in signatures.
  * NEW: The system information dialog now displays the Gambas version.
  * NEW: The 'gb.desktop.gnome' component is now visible and explicitely
    checkable.
  * NEW: If a project uses gb.gui, then the packager will create two extra
    packages: one for Qt4 support, the other for GTK+ support.
  * NEW: Support for package version number.
  * NEW: Update Gambas font.
  * NEW: Display help for third-party components.
  * NEW: Add Afrikaans to the language list.
  [INTERPRETER]
  * BUG: Don't detach a process that returns an error otherwise the Kill
    event is lost.
  * BUG: Correctly check that there is a current enumeration if the Enum
    class methods and properties.
  * BUG: The [] operator is now correctly overridden in classes inheriting an
    array class or Collection.
  * BUG: VarPtr() correctly works on method arguments.
  * BUG: Fix the CLOSE instruction when dealing with a string stream.
  * BUG: Prevent crashes at exit by releasing array classes first.
  * NEW: Support for the GB_PATH environment variable, that gives the Gambas
    interpreter path if set.
  * NEW: Enum.Stopped is a new property that returns if the current
    enumeration  has been stopped.
  * NEW: OPEN STRING is a new instruction that allows to use a string as a
    stream. Writing to it appends the written data to the end of the string
    at the moment.
  * NEW: Closing a string stream returns the data written to the stream as a
    new string.
  * NEW: Make WRITE behave the same way as READ on a memory stream. I.e. it
    writes a null-terminated "C" string, as READ was reading a null-terminated
    "C" string.
  [COMPILER]
  * NEW: New OPEN STRING instruction.
  * NEW: OPEN MEMORY and OPEN PIPE are synonymous of the MEMORY and PIPE
    instructions alone.
  [GB.DESKTOP.GNOME]
  * NEW: Make this component visible to the IDE.
  [GB.EVAL]
  * NEW: Highlight the new OPEN STRING instruction correctly.
  [GB.FORM]
  * BUG: DirChooser.ShowPreview used FDirChooser.GetPreview which does not
    exist. The correct symbol is FDirChooser.GetShowPreview.
  * NEW: FileChooser now has support for uncompressing 'zip' files, provided
    that the 'zip' utility is installed on the system.
  [GB.GUI]
  * NEW: If one GUI component fails to load, try the other one.
  * NEW: Abort if no GUI component is found.
  * NEW: Define the GB_GUI environment variable with the GUI component
    actually loaded.
  [GB.GUI.OPENGL]
  * NEW: Always load the OpenGL support component associated with what lies
    in the GB_GUI environment variable.
  [GB.SDL]
  * NEW: Rename the default SDL font file as "_default.ttf" to prevent
    packaging conflicts.
  * NEW: Use the Gambas monospace font as SDL default font now.
  [GB.WEB]
  * BUG: JSON.Encode() correctly encodes ASCII control characters.
  * NEW: JSON.Decode() now takes an extra optional argument indicating that
    keys having a null value are taken into account inside objects.
  * NEW: JSONCollection is a new class that represents a JSON object whose
    some keys are associated with a 'null' value.
- just recommend libogg and libvorbis for the sdl subpackage on
  openSUSE
* Mon Mar 25 2013 lars@linux-schulserver.de
- update to 3.4.1:
  [CONFIGURATION]
  * BUG: Uninstall should honor XDG_UTILS variable during 'make uninstall'.
  [DEVELOPMENT ENVIRONMENT]
  * NEW: The subversion dialog is not closed automatically anymore when
    hitting ENTER.
  [EXAMPLES]
  * BUG: Fix PdfPresentation example.
  * BUG: Lighttable: Correct renaming of files if ScrollView is expanded
  * OPT: Lighttable: Allow double-click on DirChooser
  * NEW: Update Czech translations.
  [INTERPRETER]
  * BUG: When the parent of an observer is detected invalid while raising an
    event, detach the observer and not the observed object!
  * BUG: When the default date format associated with the current locale is
    not a numeric one, use the american format. It was done for 'en_PH'
    locale.
  * BUG: Don't flush the process output at process end if the process stream
    has already been closed.
  [GB.DB.SQLITE3]
  * BUG: Handle SQLITE_BUSY error for all requests, even SELECT queries. Busy
    requests are retried during 2 minutes max.
  [GB.DESKTOP]
  * NEW: Try to use gnome keyring on XFCE.
  [GB.DRAW]
  * BUG: Fix a stupid typo. Now PointF works correctly!
  [GB.FORM]
  * BUG: Regular expressions of a file filter are split by the ";"
    character only now. Not the comma anymore.
  * NEW: FileView: The IconView grid size takes the icon size into account
    automatically now.
  [GB.GTK]
  * BUG: Scrollbar and Slider correctly raise their Change event when their
    Value property is set manually.
  * BUG: The Window.Controls property does not return invalid controls
    anymore.
  * BUG: Fix the naming of controls. The rule is the following: by default, a
    control takes the name of its event handler prefix. If it has no such
    prefix, it takes a unique name made from an incremental integer. But the
    automatic instance of Form is named from its class name.
  [GB.GUI.BASE]
  * BUG: The default ColumnView sorting now correctly takes the column into
    account.
  * OPT: IconView items refresh is delayed if the IconView is locked.
  * BUG: Draw.FillStyle has been implemented.
  [GB.NET.CURL]
  * BUG: HttpClient: Allows null data when using the Post() or Put() method.
  * BUG: Don't crash if FtpClient.Exec() gets a void array or an array with
    empty strings as commands array.
  [GB.QT4]
  * BUG: The Window.Controls property does not return invalid controls
    anymore.
  * BUG: Paint.Image() works correctly with temporary images now.
  * BUG: Fix the naming of controls. The rule is the following: by default, a
    control takes the name of its event handler prefix. If it has no such
    prefix, it takes a unique name made from an incremental integer. But the
    automatic instance of Form is named from its class name.
  [GB.QT4.WEBKIT]
  * BUG: Creating a WebElement should not crash anymore.
  [GB.WEB]
  * BUG: The Session timeout is correctly computed now.
  [GB.XML.HTML]
  * BUG: The XmlElement.GetChildById() method is now correctly implemented.
* Sun Feb 10 2013 lars@linux-schulserver.de
- update to 3.4.0:
  + This new release fixes about 240 bugs and adds about 270 new
    features
  + The main changes are:
  ++ A custom terminal font is now provided with the IDE.
  ++ Better subversion support in the IDE.
  ++ Patch support in the IDE.
  ++ A new gb.args component that replaces gb.option.
  ++ A new gb.maps component for displaying Google Maps,
    OpenStreetMap... inside your application.
  ++ Support for the freedesktop shared MIME database.
  ++ The old drawing API has been deprecated.
    Now everything is based on Cairo for GTK+.
  ++ Many controls are now implemented in Gambas and shared between
    GUI components.
  ++ A new fast blur method in the Image class.
  ++ The webkit component now has full support for DOM parsing
    and editing.
* Sun Feb  3 2013 lars@linux-schulserver.de
- remove gcc and gcc-c++ as requirement for the runtime package
  and add those to the devel package instead (fixes bnc #801802
  thanks to  Dmitriy Perlow)
* Sat Dec 15 2012 lars@linux-schulserver.de
- update to 3.3.4:
  [DEVELOPMENT ENVIRONMENT]
  * NEW: Use a SidePanel to display the stack backtrace.
  * BUG: The name of GridView controls is now always visible in the
    form editor.
  * BUG: Events of class written in Gambas are correctly detected now.
  * BUG: Automatic local variable declaration now correctly analyze
    expressions like "A.B" in all cases.
  * BUG: Fix scrolling of code editor procedure list.
  * BUG: Automatic local variable declaration now works correctly
    when a method named "Get" is called inside the analyzed
    expression.
  * BUG: Fix an infinite loop when choosing a fixed font for the
    search list after the default font has been changed from
    the option dialog.
  [INTERPRETER]
  * BUG: Implicit array conversion now correctly preserves dimensions.
  * BUG: Fix profiling of WAIT instruction.
  * BUG: Using Enum.Index outside of an enumeration now raises an
    error instead of crashing.
  * BUG: Fix a crash in String.Comp() when one of the two string is null.
  * BUG: NULL can be converted to a pointer now.
  [GB.DB]
  * BUG: DB.Quote(..., True) now does a table name quoting in all cases.
  [GB.DB.FORM]
  * BUG: The database controls now can handle table names that are
    reserved SQL keywords.
  * BUG: Correctly handle null values when sorting a DataSource.
  * BUG: DataSource.Table contents is automatically trimmed before
    being sent to the database driver.
  [GB.DESKTOP]
  * BUG: Desktop.ActiveWindow really works now.
  [GB.FORM]
  * BUG: MaskBox and ButtonBox controls with no mask now should act
    like a normal TextBox for popup menu and focus events.
  * BUG: GridView does not crash anymore if all rows are hidden
    (i.e. if their height is zero).
  * BUG: GridView is correctly updated now when the Border
    property is set.
  * BUG: Removing GridView rows correctly resets the row heights.
  [GB.GTK]
  * BUG: Fix event handling when a window has only invisible
    top-level menus.
  * BUG: Fix a possible crash in TrayIcon mouse wheel event handling.
  * BUG: Fix string to Font conversion for fonts whose name starts with
    "nan" or other special numeric strings.
  * BUG: Reparenting a container correctly keeps the visibility
    state of its children.
  * BUG: Foreground color is now correctly preserved when reparenting.
  * BUG: Fix crash in menu deletion.
  * BUG: Label, TextLabel, PictureBox and MovieBox now draw their
    plain border with the foreground color, like gb.qt4 does.
  * BUG: Scrollbar width is correctly respected.
  * BUG: Setting the background color of a Panel should not have
    spurious effects anymore (they were due to the
    internal reparenting).
  * BUG: Fix reparenting when there is a TabStrip in the process.
  * BUG: The mouse cursor is correctly inherited from the parent
    control if the Mouse property is set to Mouse.Default.
  * BUG: Fix management of multiple modal dialogs and popups.
  [GB.IMAGE]
  * BUG: Image.RotateRight() now really rotates to the right.
  * BUG: Fix Image.RotateRight() algorithm.
  [GB.IMAGE.EFFECT]
  * BUG: Image.Histogram() now correctly handle ABGR images.
  * BUG: Remove a debugging message.
  [GB.QT4]
  * BUG: Paint.DrawRichText() now takes the color opacity
    into account.
  * BUG: Compilation with new gcc should be fixed.
  * BUG: The menubar height is now correctly updated after a
    font change.
* Sun Nov 18 2012 lars@linux-schulserver.de
- update to 3.3.3:
  [INTERPRETER]
  * BUG: Fix symbol table search that could sometimes fail with non ASCII
    characters.
  [COMPILER]
  * BUG: Error messages are correctly printed when warnings are disabled.
  [DEVELOPMENT ENVIRONMENT]
  * BUG: Clicking on the "Fixed font" check box in the Text property editor
    does not crash anymore.
  * BUG: Fix conversion of multiple array declarations on the same line in
    Gambas 2 projects.
  [GB.DESKTOP]
  * BUG: Writing the Desktop.ActivateWindow property works now.
  [GB.REPORT]
  * BUG: Set the default Height and Width of the report controls back to 0
    cm, because it was not backward-compatible.
  [GB.QT4.WEBKIT]
  * BUG: Fix WebHitTest.Editable property declaration.
* Wed Oct  3 2012 lars@linux-schulserver.de
- update to 3.3.2:
  [DEVELOPMENT ENVIRONMENT]
  * BUG: Fix a possible crash during automatic completion.
  * NEW: Update czech translation.
  [EXAMPLES]
  * NEW: Update czech translation for: GNUBoxWorld, WebBrowser, MoviePlayer,
    Gravity, Painting.
  [WIKI CGI SCRIPT]
  * NEW: Update czech translation.
  [WEB SITE MAKER]
  * NEW: Update czech translation.
  [GB.GTK]
  * BUG: Fix the Control.Grab() method.
  [GB.FORM]
  * NEW: Update czech translation.
  [GB.FORM.DIALOG]
  * NEW: Update czech translation.
  [GB.FORM.MDI]
  * NEW: Update czech translation.
  [GB.NET.POP3]
  * NEW: Update czech translation.
  [GB.REPORT]
  * BUG: Reactivate the OnePiece property because some report stopped
    working correctly.
  * NEW: Update czech translation.
  [GB.WEB]
  * NEW: Session.CookiePath is a new property that allows to define the URL
    path of the session cookie.
* Fri Aug 24 2012 lars@linux-schulserver.de
- update to 3.2.1:
  [CONFIGURATION]
  * BUG: When a top-level source directory actually several components,
    compile the sub-components *after* the main components. This is
    especially important with gb.xml and gb.xml.rpc.
  [INTERPRETER]
  * BUG: Do not leak memory if the _unknown method raised an error.
  * BUG: Make the interpreter compile when FFI has been disabled.
  [COMPILER]
  * BUG: Like can be used in a Case expression just after the Case keyword
    only.
  [GB.CRYPT]
  * BUG: Fix bad casting of strcmp() return value to boolean. The same
    security flaw has been found in MySQL recently. See
    http://seclists.org/oss-sec/2012/q2/493
  [GB.DESKTOP]
  * NEW: Support for the Mate desktop in Desktop.Open, Desktop.OpenTerminal
    and Desktop.Passwords.
  [GB.GTK]
  * BUG: Fix bad casting of strcmp() return value to boolean in the Font
    management.
  * BUG: Panel with an explicit background color now have their own X11
    window so that they can cover any over controls.
  * BUG: The child search method now takes clientX and clientY into account.
    Consequently, clicking on TabStrip tab buttons work correctly again.
  [GB.OPTION]
  * BUG: The component is now compatible with the new way of arguments
    handling, and does not crash anymore.
  [GB.QT4]
  * BUG: ScrollView internal visible flag is correctly set, and so the
    Hovered property returns the right value.
  [GB.SIGNAL]
  * BUG: Remove an apparently useless type definition, and fix compilation on
    recent Linux kernels.
- added new subpackage gambas3-gb-gtk-opengl
- use pangox-devel instead of gtkglext-devel for openSUSE > 12.2
* Sun Jul  8 2012 lars@linux-schulserver.de
- update to 3.2.0:
  + This new release fixes more than 100 bugs and adds
    more than 100 new features
  + The main new feature of Gambas 3.2 is the new Just-In-Time
    compiler made by Emil Lenngren, that can make a function or an
    entire class up to 100 times faster!
  + Otherwise the other main changes are:
  ++ gb.gtk.opengl is a new component that allows to use OpenGL
    in GTK+ applications.
  ++ gb.media is a new component based on GStreamer.
  ++ gb.ncurses is a new component based on the ncurses library
    made by Tobias Boege.
  ++ gb.xml has been entirely rewritten from scratch by
    Adrien Prokopowicz.
  ++ gb.xml.html is a new HTML generator component based on gb.xml
  ++ The IDE now has an integrated profiler.
  ++ New ON GOTO and ON GOSUB instructions.
  ++ New Base64() and UnBase64() conversion functions.
  => See the Release Notes for the details.
* Tue Feb 14 2012 lars@linux-schulserver.de
- update to final version 3.0.0:
  + There were many many last minute changes since the last release
    candidate, but I like being near the danger.
  A few noticeable points:
  + The special mathematical functions of glibc are correctly
    detected and used now.
  + Floating point numbers should be printed in a better way.
  + French, Czech and Catalan translations were updated.
  And two security holes were closed:
  + String hashing algorithm has been randomized.
    See that document for the details.
  + In the IDE, you cannot get the project version by running a
    program (what a stupid idea!). Now you get it from a text file
    located in a parent directory of the project.
- adapted rpmlintrc to new version
- following http://gambasdoc.org/help/howto/package#t1
  => Gambas 3 packaging HowTo
* Sun Nov 13 2011 lars@linux-schulserver.de
- update to 2.99.6 (Sixth Release Candidate):
  + Thirty-one bugs were fixed, with some important ones inside the
    interpreter, and the gb.report component was updated.
* Sat Sep 10 2011 lars@linux-schulserver.de
- new package gambas3 based on gambas2 - version 2.99.3:
  + third release candidate of Gambas 3
  + please refer to the Changelog in
    /usr/share/doc/packages/gambas3/Changes for details
- adapt all pathnames to the new version, so gambas2 and gambas3
  can be installed in parallel
